//--------------------------------------------------------------
//スプライトデータテ－ブル
//--------------------------------------------------------------
#include <game/gunvalken.h>

//----------------------------------------------------------------------
//システム系
//----------------------------------------------------------------------
gxSprite AsOpening[]={
	//オープニング
	{TPG_ETC2,0,0,104,80,52,40},	//敵ミサイル艦
	{TPG_ETC2,0,80,24,56,4,4},		//アーム
	{TPG_ETC2,24,88,24,24,12,12},	//ミサイル
	{TPG_ETC2,24,112,24,16,12,8},	//グラハム号
};

gxSprite spr_contobj[]={
	//コンティニュー
	{TPG_EFFECT,48,144  ,16,16 ,8,8},//コンティニューパーツ
	{TPG_ETC,0,0,320,240 ,0,0},		//コンティニュースクリーン
	{TPG_ETC2,0,0,112,48 ,56,24},	//ゲームオーバー
};


//----------------------------------------------------------------------
//ステージ１
//----------------------------------------------------------------------
gxSprite EneBoss01[]={
	//ステージ０１　ボス
//	{TPG_ENEMY01,128,112,128,112,64,56},	//0:BOSS上部
//	{TPG_ENEMY01,0,112  ,128,112,64,56},	//1:BOSS下部
	{TPG_ENEMY01,80,96,112,112,56,56},		//0:BOSS上部
	{TPG_ENEMY01,0,96  ,80,80,40,40},		//1:BOSS下部
	{TPG_ENEMY01,0,32,48,32,24,24},			//2:キャノン砲（砲台）
	{TPG_ENEMY01,48,32,32,16,8,8},			//3:キャノン砲（砲身）
	{TPG_ENEMY01,112,64,32,32,16,16},		//4:ボス護衛
	{TPG_ENEMY01,144,64,16,32,8,0},			//5:ボス護衛
};


gxSprite AsEneSprCannon[]={
	//ステージ０１
	{TPG_ENEMY01,0,32,48,32,24,24},		//0:キャノン砲（砲台）
	{TPG_ENEMY01,48,32,32,16,8,8},		//1:キャノン砲（砲身）
	{TPG_ENEMY01,112,64,32,32,16,16},	//2:ボス護衛
	{TPG_ENEMY01,144,64,16,32,8,0},		//3:ボス護衛
};

gxSprite AsEneSprShield[]={
	//ステージ０１シールドつき
	{TPG_ENEMY01,80-16,0,16,32,8,16},	//0:SHIELD
	{TPG_ENEMY01,144,0,32,48,16,32},		//1:BODY
	{TPG_ENEMY01,80,0,32,32,16,16},		//2:LEG1
	{TPG_ENEMY01,80+32,0,32,32,16,16},	//3:LEG2
};

gxSprite AsEneSprNoneShield[]={
	//ステージ０１シールドなし
	{TPG_ENEMY01,176,0,32,32,4,4},		//0:ARMS
	{TPG_ENEMY01,208,0,32,32,16,32},	//1:BODY
	{TPG_ENEMY01,80   ,32,32,32,8,16},	//2:LEG1
	{TPG_ENEMY01,80+32,32,32,32,8,16},	//3:LEG2
};

gxSprite AsEneSprUfo[]={
	//ステージ０１UFO
	{TPG_ENEMY01,0,64,32,16,16,8},		//0:UFO01
	{TPG_ENEMY01,32,64,32,16,16,8},		//1:UFO02
	{TPG_ENEMY01,64,64,32,16,16,8},		//2:UFO03

	{TPG_ENEMY01,0+16*0,80,16,16,8,-8},		//2:UFO0_CANNON01
	{TPG_ENEMY01,0+16*1,80,16,16,8,-8},		//2:UFO0_CANNON01
	{TPG_ENEMY01,0+16*2,80,16,16,8,-8},		//2:UFO0_CANNON01
	{TPG_ENEMY01,0+16*3,80,16,16,8,-8},		//2:UFO0_CANNON01
	{TPG_ENEMY01,0+16*4,80,16,16,8,-8},		//2:UFO0_CANNON01
};



//----------------------------------------------------------------------
//ステージ２
//----------------------------------------------------------------------
gxSprite AsEneSpr02[]={
	//ステージ２ザコ系
	{TPG_ENEMY02,64*0,64*0,64,64,32,32},	//00:モラクルα
	{TPG_ENEMY02,32*3,64*0,32,32,16,16},	//01:岩石A
	{TPG_ENEMY02,32*4,64*0,32,32,16,16},	//02:岩石B
	{TPG_ENEMY02,32*2,32*1,16,16,8,8},		//03:岩石小
	{TPG_ENEMY02,32*2+16,32*1,16,16,8,8},	//04:レーザー弾(青)
	{TPG_ENEMY02,32*2+0,32*1,16,16,8,8},	//05:レーザー弾(赤)
	{TPG_ENEMY02,64+16,32+16,16,16,8,8},	//06:レーザー弾中(青)
	{TPG_ENEMY02,64+0 ,32+16,16,16,8,8},	//07:レーザー弾中(赤)
	{TPG_ENEMY02,32*3,32*1,16,16,8,8},		//08:岩石小

	{TPG_ENEMY02,160,0,48,32,32,16},		//09:BOSS_CANNON01
	{TPG_ENEMY02,208,0,48,32,32,16},		//10:BOSS_CANNON02

	{TPG_ENEMY02,0,128,32,32,16,16},		//11:２連装キャノン
	{TPG_ENEMY02,48,104,48,24,24,24},		//12:地雷（作動前）
	{TPG_ENEMY02,0,104,48,24,24,24},		//13:地雷（作動後）
	{TPG_ENEMY02,64,8,32,24,16,12},			//14:宇宙魚雷
	{TPG_ENEMY02,0 ,64,32,32,16,16},		//15:ビークル0
	{TPG_ENEMY02,32,64,32,32,16,16},		//16:ビークル1
	{TPG_ENEMY02,64,64,32,32,16,16},		//17:ビークル2
	{TPG_ENEMY02,64,48,16,16,8,8},			//18:魚雷バーニア
	{TPG_ENEMY02,80,48,32,16,16,8},			//19:エネルギービーム
};


gxSprite AsEneSpr02_BOSS[]={
	//ステージ２ボス
	{TPG_ENEMY02,80,128,176,96,176-64,48},	//ボス第１形態
	{TPG_ENEMY02,112,32,144,96,144-64,48},	//ボス第２形態
};


//----------------------------------------------------------------------
//ステージ３
//----------------------------------------------------------------------
gxSprite AsEneTatikoma[]={
	//タチコマ
	{TPG_ENEMY01,0,224,24,32,5,16},	//0:ARM
	{TPG_ENEMY01,48,224,56,32,28,32},	//1:BODY
	{TPG_ENEMY01,112,224,40,32,22,12},	//2:LEG1
	{TPG_ENEMY01,112+40,224,40,32,22,12},	//2:LEG1

	{TPG_ENEMY01,112,224,32,32,16,8},	//2:LEG1
	{TPG_ENEMY01,112,224,32,32,16,8},	//3:LEG2
};

gxSprite spr_ene_stage03[]={
	{TPG_MARSGEAR,384,0,128,64,64,64},	//0:エネルギータンク
	{TPG_MARSGEAR,352,0,16,96,4,0},		//1:シャッター
	{TPG_MARSGEAR,256,0,96,48,48,48},	//2:対空砲（生）
	{TPG_MARSGEAR,256,48,96,48,48,40},	//3:対空砲（壊滅）
//	{TPG_MARSGEAR,320,128,48,32,0,8},	//4:対空砲（主砲）
	{TPG_MARSGEAR,368,144,48,32,0,8},	//4:対空砲（主砲）
	{TPG_MARSGEAR,0,144,256,128,128,128},//5:エンジン
	{TPG_MARSGEAR,256,192,32,32,16,16},	//6:レール
	{TPG_MARSGEAR,256,96,48,32,24,0},		//7:警報機A
	{TPG_MARSGEAR,304,96,48,32,24,0},		//8:警報機A
	{TPG_MARSGEAR,0,0,144,128,72,64},	//9:ブランディッシュ
	{TPG_MARSGEAR,0,448,144,64,72,32},	//10:ブランディッシュアーム
	{TPG_MARSGEAR,256+16*0,224,16,16,8,8},	//11:ハンバーガー上
	{TPG_MARSGEAR,256+16*1,224,16,16,8,8},	//12:ハンバーガー中
	{TPG_MARSGEAR,256+16*2,224,16,16,8,8},	//13:ハンバーガー下
	{TPG_MARSGEAR,320,144,32,32,16,32},		//14:屈折レーザー台
	{TPG_MARSGEAR,320,176,32,32,16,16},		//15:回転砲台
	{TPG_MARSGEAR,176,336,336,160,0,-64},	//16:司令室
	{TPG_MARSGEAR,368,72,144,64,72,64},		//17:コロニーバーニア
//	{TPG_MARSGEAR,320+32,176,32,32,16,16},	//18:回転からのレーザー
	{TPG_MARSGEAR,320+32,184,32,16,16,8},	//18:回転からのレーザー
	{TPG_MARSGEAR,0,272,320,64,160,32},		//19:ICBM
	{TPG_MARSGEAR,0,416,32,32,16,16},		//20:ブランディッシュバーニア
	{TPG_MARSGEAR,288,192,16,32,0,0},		//21:レール先端
	{TPG_MARSGEAR,416,144,16,16,0,0},		//22:シャッター（新）
};

//----------------------------------------------------------------------
//ステージ４
//----------------------------------------------------------------------
gxSprite EneShumit[]={
	//シュミット用スプライト

	{TPG_ENEMY04,48,48,40,24,8,4},		//0:ARM
	{TPG_ENEMY04,0,0,32,32,16,30},		//1:BODY
	{TPG_ENEMY04,24,40,24,32,12,8},		//3:LEG1
	{TPG_ENEMY04,0 ,40,24,32,12,8},		//2:LEG1
	{TPG_ENEMY04,250,1,1,0,0,},			//4:shield
	{TPG_ENEMY04,250,1,1,0,0,},			//5:gun
	{TPG_ENEMY04,250,1,1,0,0,},			//6:BOOSTER

	{TPG_ENEMY04,250,1,1,0,0,},			//7: sample
	{TPG_ENEMY04,24,40,24,32,12,8},		//3:LEG1
	{TPG_ENEMY04,0 ,40,24,32,12,8},		//2:LEG1
	{TPG_VALKEN,32*6,32*0,64,16,22,4},	//10:gun
	{TPG_VALKEN,32*6,32*1,64,16,22,4},	//11:gun
	{TPG_VALKEN,32*6,32*2,64,16,22,4},	//12:gun
	{TPG_VALKEN,32*6,32*3,64,16,22,4},	//13:gun
	{TPG_VALKEN,32*6,32*4,64,16,22,4},	//14:gun

	//ザコ用シュミット
	{TPG_ENEMY04,48,48+80,40,24,8,4},		//0:ARM
	{TPG_ENEMY04,0,0+80,32,32,16,30},		//1:BODY
	{TPG_ENEMY04,24,40+80,24,32,12,8},		//3:LEG1
	{TPG_ENEMY04,0 ,40+80,24,32,12,8},		//2:LEG1
	{TPG_ENEMY04,250,1+80,1,0,0,},			//4:shield
	{TPG_ENEMY04,250,1+80,1,0,0,},			//5:gun
	{TPG_ENEMY04,250,1+80,1,0,0,},			//6:BOOSTER

	{TPG_ENEMY04,250,1+80,1,0,0,},			//7: sample
	{TPG_ENEMY04,24,40+80,24,32,12,8},		//3:LEG1
	{TPG_ENEMY04,0 ,40+80,24,32,12,8},		//2:LEG1
	{TPG_VALKEN,32*6,32*0+80,64,16,22,4},	//10:gun
	{TPG_VALKEN,32*6,32*1+80,64,16,22,4},	//11:gun
	{TPG_VALKEN,32*6,32*2+80,64,16,22,4},	//12:gun
	{TPG_VALKEN,32*6,32*3+80,64,16,22,4},	//13:gun
	{TPG_VALKEN,32*6,32*4+80,64,16,22,4},	//14:gun

	{TPG_ENEMY04,64,0,96,32,48,16},			//30:parashute
};

//----------------------------------------------------------------------
//ステージ５
//----------------------------------------------------------------------
gxSprite Spr05Fighter[]={
	//戦闘機
	{TPG_ENEMY05,144,0,64,32,32,16},	//0:enemy01
	{TPG_ENEMY05,208,0,16,16,8,8},	//1:missile
	{TPG_ENEMY05,208,16,8,8,4,4},	//2:cloud
	{TPG_ENEMY05,216,16,16,8,4,4},	//3:fire
	{TPG_ENEMY05,80,224,16,16,8,0},	//4:missile2
};

gxSprite Spr05MapObj[]={
	{TPG_ENEMY05,48,0,32,32,24+4,8},	//0:高射砲
	{TPG_ENEMY05,0,0,48,80,24+4,60},	//1:タンク
};

gxSprite Spr05BombShip[]={
	{TPG_ENEMY05,0,224 ,80,32,40,16},	//0:爆撃機
	{TPG_ENEMY05,80,224,16,16,8,0},		//1:爆弾
};

gxSprite Spr05BigFoot[]={
	{TPG_ENEMY05,96,64 ,96,72,40,36},	//body
	{TPG_ENEMY05,192,96,64,64,32,8},	//Leg1
	{TPG_ENEMY05,192,32,64,64,32,8},	//Leg2
	{TPG_ENEMY05,96,136,32,16,8,8},		//Arm
};

gxSprite Spr05Alguard[]={
	{TPG_ENEMY05, 0,144,32,32,16,24},//body
	{TPG_ENEMY05,32,144,16,32,8,8},	//Leg1
	{TPG_ENEMY05,48,144,16,32,8,8},	//Leg2
	{TPG_ENEMY05,64,144,32,16,8,8},	//Arm
};

gxSprite Spr05Smasher[]={
	{TPG_ENEMY05,0,112 ,16,32,8,16},	//body
	{TPG_ENEMY05,16,112,16,16,8,8},	//Leg1
	{TPG_ENEMY05,16,128,16,16,8,8},	//Leg2
	{TPG_ENEMY05,32,112,16,16,8,8},	//Arm
};

gxSprite Spr05Decken[]={
	{TPG_ENEMY05,128-64*2,176,64,48,32,24},	//横
	{TPG_ENEMY05,128-64*1,176,64,48,32,24},	//斜め
	{TPG_ENEMY05,128-64*0,176,64,48,32,24},	//正面

};

gxSprite sprDataShuttle[]={
	{TPG_SHUTTLE,  8,  256	,96	,208	,48,  0},		//(000)シャトル頭
	{TPG_SHUTTLE,  256,  0	,80	,256	,40,  0},		//(001)シャトル真中
	{TPG_SHUTTLE, 256+80,  0	,80	,248	,80,  0},	//(002)シャトルサイド左
	{TPG_SHUTTLE, 256+160, 0	,80	,248	,0,  0},	//(003)シャトルサイド右

	{TPG_SHUTTLE,424	,264,32,32,16,16},			//(004)キャノン
	{TPG_SHUTTLE,424+32	,264,32,32,16,24},			//(005)キャノン

	{TPG_SHUTTLE,120,  256	,96,208,48,  0},			//(006)シャトル頭（破壊）
	{TPG_SHUTTLE,  256,  0	,80	,256	,40,  0},		//(007)シャトル真中
	{TPG_SHUTTLE, 256+24,     256,56,192,56,  0},		//(008)シャトルサイド左（破壊）
	{TPG_SHUTTLE, 256+24+56,  256,56,192,0,  0},		//(009)シャトルサイド右（破壊）

};


//----------------------------------------------------------------------
//ステージ６
//----------------------------------------------------------------------
gxSprite spr_scn_stage06[] = {
	{TPG_SCENEOBJ,0+64*0,0,64,64,32,0},	//00:滝上
	{TPG_SCENEOBJ,0+64*1,0,64,64,32,0},	//01:滝上
	{TPG_SCENEOBJ,0+64*2,0,64,64,32,0},	//02:滝上
	{TPG_SCENEOBJ,0+64*3,0,64,64,32,0},	//03:滝上

	{TPG_SCENEOBJ,0+32*3,64,32,32,16,0},//07:滝中
	{TPG_SCENEOBJ,0+32*2,64,32,32,16,0},//06:滝中
	{TPG_SCENEOBJ,0+32*1,64,32,32,16,0},//05:滝中
	{TPG_SCENEOBJ,0+32*0,64,32,32,16,0},//04:滝中

	{TPG_SCENEOBJ,0,96,96,16,48,0},		//08:滝下

	{TPG_SCENEOBJ,0,96,96,16,48,0},		//09:滝下

	{TPG_SCENEOBJ,0+32*3,112,32,80,16,0},	//13:滝2x
	{TPG_SCENEOBJ,0+32*2,112,32,80,16,0},	//12:滝2x
	{TPG_SCENEOBJ,0+32*1,112,32,80,16,0},	//11:滝2x
	{TPG_SCENEOBJ,0+32*0,112,32,80,16,0},	//10:滝2x

	{TPG_SCENEOBJ,0+32*7,112,32,80,16,0},	//17:滝2x
	{TPG_SCENEOBJ,0+32*6,112,32,80,16,0},	//16:滝2x
	{TPG_SCENEOBJ,0+32*5,112,32,80,16,0},	//15:滝2x
	{TPG_SCENEOBJ,0+32*4,112,32,80,16,0},	//14:滝2x

	{TPG_SCENEOBJ,128+64*0,64,64,16,32,0},	//18:滝エフェクト1a
	{TPG_SCENEOBJ,128+64*1,64,64,16,32,0},	//19:滝エフェクト1b

	{TPG_SCENEOBJ,128+48*0,80,48,32,24,0},	//20:滝エフェクト2a
	{TPG_SCENEOBJ,176+32*0,80,32,32,16,0},	//21:滝エフェクト2b
	{TPG_SCENEOBJ,176+32*1,80,32,32,16,0},	//22:滝エフェクト2c

	{TPG_SCENEOBJ,240,80,16,16,8,8},		//23:滝エフェクト3

	{TPG_HUMAN,64+24*0,0,24,16,12,16},		//24うさぎ
	{TPG_HUMAN,64+24*1,0,24,16,12,16},		//25うさぎ
	{TPG_HUMAN,64+24*2,0,24,16,12,16},		//26うさぎ
	{TPG_HUMAN,64+24*3,0,24,16,12,16},		//27うさぎ
	{TPG_HUMAN,64+24*4,0,24,16,12,16},		//28うさぎ

	{TPG_SCENEOBJ,0+32*0,112,32,48,16,0},	//29:滝2a
	{TPG_SCENEOBJ,0+32*1,112,32,48,16,0},	//30:滝2b
	{TPG_SCENEOBJ,0+32*2,112,32,48,16,0},	//31:滝2c
	{TPG_SCENEOBJ,0+32*3,112,32,48,16,0},	//32:滝2d

	{TPG_SCENEOBJ,0+16*0,160,16,32,8-1,0},	//33:滝2aa
	{TPG_SCENEOBJ,0+16*1,160,16,32,8-1,0},	//34:滝2ab
	{TPG_SCENEOBJ,0+16*2,160,16,32,8-1,0},	//35:滝2ac
	{TPG_SCENEOBJ,0+16*3,160,16,32,8-1,0},	//36:滝2ad

	//--------------------------------------

	{TPG_SCENEOBJ,0+32*0+128,112,32,48,16,0},	//29:滝2a
	{TPG_SCENEOBJ,0+32*1+128,112,32,48,16,0},	//30:滝2b
	{TPG_SCENEOBJ,0+32*2+128,112,32,48,16,0},	//31:滝2c
	{TPG_SCENEOBJ,0+32*3+128,112,32,48,16,0},	//32:滝2d

	{TPG_SCENEOBJ,0+16*0+192,160,16,32,8+1,0},	//33:滝2aa
	{TPG_SCENEOBJ,0+16*1+192,160,16,32,8+1,0},	//34:滝2ab
	{TPG_SCENEOBJ,0+16*2+192,160,16,32,8+1,0},	//35:滝2ac
	{TPG_SCENEOBJ,0+16*3+192,160,16,32,8+1,0},	//36:滝2ad

};


gxSprite Spr06MonsterTrain[]={
	{TPG_ENEMY_TRAIN,  0,  0	,352	,120	,352, 120},	//(0)列車ボス
	{TPG_ENEMY_TRAIN,  0,  128	,32	,48	,16, 24},			//(1)車輪小
	{TPG_ENEMY_TRAIN,  32,  120	,64	,64	,32, 32},			//(2)車輪中
	{TPG_ENEMY_TRAIN,  96,  120	,64	,64	,32, 32},			//(3)車輪大
};

gxSprite Spr06AirCannon[]={
	{TPG_ENEMY06,  0,  0	,80	,16	,64,  8},	//(0)高射砲砲身
	{TPG_ENEMY06,  0, 16	,48	,80	,24, 40},	//(1)高射砲土台
	{TPG_ENEMY06,  48, 16	,8	,8	,4,  4 },	//(2)高射砲ランプ
	{TPG_ENEMY06,  56, 16	,8	,8	,4,  4 },	//(3)高射砲ランプ2
	{TPG_ENEMY06,  64, 16	,16	,16	,8, 8},		//(4)弾丸
	{TPG_ENEMY06,  80, 16	,16	,16	,8, 8},		//(5)手榴弾
};

gxSprite Spr06Snowks[]={
	{TPG_ENEMY06,  48,  32	,64	,32	,48,  16},	//(0)スノークス上
	{TPG_ENEMY06,  64,  64	,48	,16	,16,  8},	//(1)スノークス下
	{TPG_ENEMY06,  48,  64	,16	,16	,0,  8},	//(2)スノークスバーニア
};

gxSprite Spr06Smasher2[]={
	{TPG_ENEMY06,0 ,112-16 ,16,32,8,16},//body
	{TPG_ENEMY06,16,112-16,16,16,8,8},	//Leg1
	{TPG_ENEMY06,16,128-16,16,16,8,8},	//Leg2
	{TPG_ENEMY06,32,112-16,16,16,8,8},	//Arm
};

gxSprite Spr06RockStopper[]={
	{TPG_ENEMY06,0 ,128 ,80,64,0,32},	//Rock
};

gxSprite Spr06OilTank[]={
	{TPG_ENEMY06,48 ,96 ,32,32,16,32},	//OilTank
};

gxSprite Spr06Mine[]={
	{TPG_ENEMY06,  32,  112	,16	,16	,8,  16},	//(0)地雷
};

gxSprite Spr06BossSnake[]={
	{TPG_ENEMY06,  224,  0	,32	,48	,16,  24},	//(0)頭
	{TPG_ENEMY06,  192,  0	,32	,48	,16,  24},	//(1)胴体１A
	{TPG_ENEMY06,  160,  0	,32	,48	,16,  24},	//(2)胴体２B
	{TPG_ENEMY06,  128,  0	,32	,32	,16,  16},	//(3)胴体２A
	{TPG_ENEMY06,  96 ,  0	,32	,32	,16,  16},	//(4)胴体２B
};

gxSprite Spr06BossArmor[]={
	{TPG_ENEMY06,  80 ,  176	,64		,48	,32,  24},	//(0)前向き
	{TPG_ENEMY06,  96,	 80		,64		,48	,32,  24},	//(1)斜め向き1
	{TPG_ENEMY06,  176,  128	,80		,48	,40,  24},	//(2)斜め向き
	{TPG_ENEMY06,  160,  80		,96		,48	,48,  24},	//(3)斜め向き2
	{TPG_ENEMY06,  144,  176	,112	,48	,56,  24},	//(4)横向き

//	{TPG_ENEMY06,  144,  176	,112	,48	,56,  24},	//(2)横向き
};

gxSprite Spr06BossBatiBati[]={
	{TPG_ENEMY06,  112,  144	,32	,32	,16,  16},	//(0)バチバチ1
	{TPG_ENEMY06,  144,  144	,32	,32	,16,  16},	//(1)バチバチ2
	{TPG_ENEMY06,  160,  128	,16	,16	,8 ,  8 },	//(2)バチバチ1
};

//----------------------------------------------------------------------
//ステージ７
//----------------------------------------------------------------------
gxSprite AsEneSprkerser[]={
	//ステージ０７　カーセル
	{TPG_ENEMY07,160,160,96,32,48,16},	//0:BODY
	{TPG_ENEMY07,160,144,96,16,48,8},	//1:WING
	{TPG_ENEMY07,160,128,96,16,48,8},	//2:WING
};

gxSprite AsEneSprRevendick[]={
	//ステージ０７　レベンディック
	{TPG_ENEMY07,128,96,32,16,4,4},		//0:ARMS
	{TPG_ENEMY07,160,96,32,32,16,32},	//1:BODY
	{TPG_ENEMY07,192,96,32,32,8,16},	//2:LEG1
	{TPG_ENEMY07,224,96,32,32,8,16},	//3:LEG2
};

gxSprite AsEneSprZenegel[]={
	//ゼネゲル
	{TPG_ENEMY07,80 ,96 ,16,32,8,16},	//body
	{TPG_ENEMY07,96 ,96 ,16,16,8,8},	//Leg1
	{TPG_ENEMY07,96 ,112,16,16,8,8},	//Leg2
	{TPG_ENEMY07,112,96 ,16,16,8,8},	//Arm
};

gxSprite Spr07AirCraft[]={
	//エアクラフト
	{TPG_ENEMY07B,96,64,32,32,16,32},	//0:クラフト横
	{TPG_ENEMY07B,96,96,32,32,16,32},	//1:クラフト斜め
	{TPG_ENEMY07B,128,64,16,32,8,32},	//2:兵士やられ
};

gxSprite Spr07VermarkEscape[]={
	//ベルマーク脱出
	{TPG_ENEMY07B,144+16*0,64,16,32,8,32},	//0:脱出
	{TPG_ENEMY07B,144+16*1,64,16,32,8,32},	//1:脱出
	{TPG_ENEMY07B,144+16*2,64,16,32,8,32},	//2:脱出
	{TPG_ENEMY07B,144+16*3,64,16,32,8,32},	//3:ダッシュ
	{TPG_ENEMY07B,144+16*4,64,16,32,8,32},	//4:ダッシュ
	{TPG_ENEMY07B,144+16*5,64,16,32,8,32},	//5:ダッシュ
	{TPG_ENEMY07B,144+16*6,64,16,32,8,32},	//6:ダッシュ
};

gxSprite Spr07Volcano[]={
	//ボルカーノ
	{TPG_ENEMY07B,0 ,64,64,64,32,32},	//0:本体
	{TPG_ENEMY07B,64,64,32,32,12,12},	//1:肩
	{TPG_ENEMY07B,64,96,32,16,24,8},	//2:腕
};

gxSprite spr_ZoaFrame[] = {
	//ゾアフレイム
	{TPG_ENEMY07B,0*32,0*32,32,32,16,16},	//00:ボディ
	{TPG_ENEMY07B,0*32,1*32,32,32,16,16},	//01:レッグ手前
	{TPG_ENEMY07B,1*32,1*32,32,32,16,16},	//02:レッグ奥
	{TPG_ENEMY07B,0*32,0*32,64,32,32,16},	//03:武器（未使用）
	{TPG_ENEMY07B,4*32,0*32,48,32,6,6},			//04:ショルダー
	{TPG_ENEMY07B,1*32,0*32,32,32,16,16},	//05:ボディ（壊れ）
	{TPG_ENEMY07B,2*32,0*32,32,32,16,16},	//06:ボディ（壊れベース）
	{TPG_ENEMY07B,3*32,0*32,32,32,16,20},	//07:ボディ（壊れハッチ）

	{TPG_ENEMY07B,160,0,32,32,16,16},	//00:ボディ
	{TPG_ENEMY07B,160,32,32,32,16,16},	//01:レッグ手前
	{TPG_ENEMY07B,192,32,32,32,16,16},	//02:レッグ奥
	{TPG_ENEMY07B,192 ,2*32,64,32,32,16},//03:武器
	{TPG_ENEMY07B,192,0,48,32,6,6},		//04:ショルダー
	{TPG_ENEMY07B,160,0,32,32,16,16},	//05:ボディ（壊れ）
};


gxSprite spr_armytank[] = {
	//戦車（ステージ７）
	{TPG_ENEMY07,0,224,112,32,64,32},			//00:土台
	{TPG_ENEMY07,0,192-32*0,112,32,64   ,48},	//01:砲身前
	{TPG_ENEMY07,0,192-32*1,64 ,32,64-24,48},	//02:砲身前
	{TPG_ENEMY07,0,192-32*2,64 ,32,64-32,48},	//03:砲身前
	{TPG_ENEMY07,0,192-32*3,64 ,32,64-32,48},	//04:砲身前

	{TPG_ENEMY07,112+16*0,208,16,48,8,48},		//05:砲撃主0
	{TPG_ENEMY07,112+16*1,208,16,48,8,48},		//06:砲撃主1
	{TPG_ENEMY07,112+16*2,208,16,48,8,48},		//07:砲撃主2
	{TPG_ENEMY07,112+16*3,208,16,48,8,48},		//08:砲撃主3
	{TPG_ENEMY07,112+16*4,208,16,48,8,48},		//09:砲撃主4
	{TPG_ENEMY07,112+16*5,208,16,48,8,48},		//10:ダメージ

};

gxSprite spr_sergent[] = {
	//士官（ステージ７）
	{TPG_ENEMY07,0*16,1*32,16,32,8,32},	//00:DEFAULT1

	{TPG_ENEMY07,1*16,1*32,16,32,8,32},	//01:DASH1
	{TPG_ENEMY07,2*16,1*32,16,32,8,32},	//02:DASH1
	{TPG_ENEMY07,3*16,1*32,16,32,8,32},	//03:DASH1

	{TPG_ENEMY07,4*16,1*32,16,32,8,32},	//04:ARE1
	{TPG_ENEMY07,5*16,1*32,16,32,8,32},	//05:TAIKYAKU1
	{TPG_ENEMY07,6*16,1*32,16,32,8,32},	//06:TAIKYAKU2
	{TPG_ENEMY07,7*16,1*32,32,32,8,32},	//07:TAIKYAKU3
	{TPG_ENEMY07,14*16,0*32,16,32,8,32},	//08:YARARE

};


gxSprite spr_army01[] = {
	//通常兵士（ステージ７）
	{TPG_ENEMY07,0*16,0*32,16,32,8,32},		//00:DEFAULT1
	{TPG_ENEMY07,1*16,0*32,16,32,8,32},		//01:DEFAULT2

	{TPG_ENEMY07,2*16,0*32,32,32,16,32},	//02:SHOT
	{TPG_ENEMY07,4*16,0*32,32,32,16,32},	//03:KAMAE3
	{TPG_ENEMY07,6*16,0*32,32,32,16,32},	//04:KAMAE2
	{TPG_ENEMY07,8*16,0*32,16,32,8,32},		//05:KAMAE1

	{TPG_ENEMY07,9*16 ,0*32,16,32,8,32},	//06:DASH1
	{TPG_ENEMY07,10*16,0*32,16,32,8,32},	//07:DASH1
	{TPG_ENEMY07,11*16,0*32,16,32,8,32},	//08:DASH1
	{TPG_ENEMY07,12*16,0*32,32,32,16,32},	//09:DASH1

	{TPG_ENEMY07,14*16,0*32,16,32,8,32},	//10:YARARE


};

gxSprite spr_army02[] = {
	//工兵（ステージ７）
	{TPG_ENEMY07,0*16,2*32,16,32,8,32},		//00:DEFAULT1
	{TPG_ENEMY07,1*16,2*32,16,32,8,32},		//01:DEFAULT2

	{TPG_ENEMY07,2*16,2*32,32,32,16,32},	//02:SHOT
	{TPG_ENEMY07,4*16,2*32,32,32,16,32},	//03:KAMAE3
	{TPG_ENEMY07,6*16,2*32,32,32,16,32},	//04:KAMAE2
	{TPG_ENEMY07,8*16,2*32,16,32,8,32},		//05:KAMAE1

	{TPG_ENEMY07,9*16 ,2*32,16,32,8,32},	//06:DASH1
	{TPG_ENEMY07,10*16,2*32,16,32,8,32},	//07:DASH1
	{TPG_ENEMY07,11*16,2*32,16,32,8,32},	//08:DASH1
	{TPG_ENEMY07,12*16,2*32,32,32,16,32},	//09:DASH1

	{TPG_ENEMY07,14*16,0*32,16,32,8,32},	//10:YARARE
};

gxSprite spr_kunoichi[] = {
	//ニンジャ
	{TPG_HUMAN,0*16,192,16,32,8,32},	//00:KUNOICHI 歩きA
	{TPG_HUMAN,1*16,192,16,32,8,32},	//01:KUNOICHI 歩きB
	{TPG_HUMAN,2*16,192,16,32,8,32},	//02:KUNOICHI 歩きC
	{TPG_HUMAN,3*16,192,16,32,8,32},	//03:KUNOICHI 歩きD

	{TPG_HUMAN,13*16,192,16,32,8,32},	//04:KUNOICHI JUMP 0
	{TPG_HUMAN,11*16,192,32,32,16,32},	//05:KUNOICHI JUMP 1
	{TPG_HUMAN,10*16,192,16,32,8,32},	//06:KUNOICHI JUMP 2
	{TPG_HUMAN,9*16,192,16,32,8,32},	//07:KUNOICHI JUMP 3
	{TPG_HUMAN,7*16,192,32,32,16,32},	//08:KUNOICHI JUMP 4
	{TPG_HUMAN,5*16,192,32,32,16,32},	//09:KUNOICHI JUMP 5
	{TPG_HUMAN,4*16,192,16,32,8,32},	//10:KUNOICHI JUMP 6
	{TPG_HUMAN,14*16,192,16,32,8,32},	//11:KUNOICHI JUMP 7

	{TPG_HUMAN,15*16,192,16,32,8,32},	//12:KUNOICHI DEFAULT

};

//----------------------------------------------------------------------
//エフェクト系
//----------------------------------------------------------------------
gxSprite spr_ene_bullet[]={
	{TPG_EFFECT,0,128,8,8,4,4},			//0:敵弾
	{TPG_EFFECT,144,32,16,16,8,8},		//1:敵爆弾
	{TPG_EFFECT,128,136,16,16,8,8},		//2:落下ミサイル
	{TPG_ENEMY05,128,136,16,16,8,8},	//3:落下ミサイル
	{TPG_ENEMY05,144,136,16,16,8,8},	//4:落下ミサイル1
	{TPG_ENEMY05,144,152,16,16,8,8},	//5:落下ミサイル2
	{TPG_EFFECT,80,168,16,8,8,4},		//6:レーザーキャノン
	{TPG_EFFECT,96,160,16,16,8,8},		//7:ツイン砲
	{TPG_EFFECT,88,160,8,8,4,4},		//8:ＡＳレーザー
	{TPG_EFFECT,80,168,16,8,2,4},		//9:スプラインレーザー
	{TPG_EFFECT,144   ,160,16,16,8,8},		//10:スプラインサンダー
	{TPG_EFFECT,144+16,160,16,16,8,8},		//11:スプラインサンダー
	{TPG_EFFECT,144+32,160,16,16,8,8},		//12:スプラインサンダー

	{TPG_EFFECT,144,176,16,16,8,8},			//13:REFLECT
	{TPG_EFFECT,128,176,16,16,8,8},			//14:LASERBIT
	{TPG_EFFECT,112,192,32,32,16,16},		//15:BIGLASER

	{TPG_EFFECT,176,160,16,16,8,8},		//16:放物線ミサイル（小）
	{TPG_EFFECT,144,160,32,16,8,8},		//17:榴弾ミサイル（大）
};

gxSprite spr_enebomb[]={
	//敵の爆弾（シュメルツ用）
	{TPG_ENEMY04,0,160,16,16,8,8},
};

gxSprite spr_item[]={
	//アイテムチップ＋箱
	{TPG_EFFECT,0+16*0,0,16,16,8,8},	//POW
	{TPG_EFFECT,0+16*1,0,16,16,8,8},	//WEAPON
	{TPG_EFFECT,0+16*2,0,16,16,8,8},	//HP
	{TPG_EFFECT,0+16*0,32,16,16,8,8},	//BOX
	{TPG_EFFECT,0+16*0,16,16,16,8,8},	//WAKU
};

gxSprite spr_hitflash[]={
	//マズルフラッシュ、着弾エフェクトなど
	{TPG_EFFECT,0,160,8,8,4,4},		//0:ヒット時のフラッシュ1
	{TPG_EFFECT,0,160+8,8,8,4,4},	//1:ヒット時のフラッシュ2A
	{TPG_EFFECT,8,160,16,16,8,8},	//2:マズルフラッシュ
	{TPG_EFFECT,24,160,8,8,4,4},	//3:薬きょう
	{TPG_EFFECT,24,160+8,8,8,4,4},	//4:ヒット時のフラッシュ2B
	{TPG_EFFECT,32,168,8,8,4,4},	//5:ヒット時のフラッシュ（敵用）
	{TPG_EFFECT,160,0,32,32,16,16},	//6:パンチエネルギー
	{TPG_EFFECT,24,24,3,3,2,2},	//7:火花
};

gxSprite spr_bombbeam[]={
	//爆散時の光
	{TPG_SEARCHLIGHT,0,0,320,32,8,16},	//爆発ビーム
};


gxSprite spr_sceneobj[]={
	//シーン演出用パーツ類
	{TPG_EFFECT,40,160,16,16,8,8},		//0:高射砲エフェクト
	{TPG_EFFECT,56,160,24,16,12,8},		//1:輸送船
	{TPG_EFFECT,80,160,8,8,4,4},		//2:遠方のＡＳ光
	{TPG_EFFECT,208,0,48,48,24,24},		//3:摩擦熱大
	{TPG_EFFECT,208+16*0,48,16,16,8,8},	//4:摩擦熱小1
	{TPG_EFFECT,208+16*1,48,16,16,8,8},	//5:摩擦熱小2
	{TPG_EFFECT,208+16*2,48,16,16,8,8},	//6:摩擦熱小3
	{TPG_EFFECT,48,16,16,16,8,8},		//7:破壊された後の小岩石
	{TPG_EFFECT,32,16,8,8,4,4},			//8:エネルギー球
	{TPG_ENEMY01,160,64,16,16,8,8},		//9:コロニーのシャッター

	{TPG_EFFECT,112,160,4,4,2,2},		//10:雪S
	{TPG_EFFECT,116,160,4,4,2,2},		//11:雪L
	{TPG_EFFECT,120,160,24,16,24,16},	//12:雪煙
	{TPG_EFFECT,160,144,16,16,8,8},		//13:洞窟岩1
	{TPG_EFFECT,176,144,16,16,8,8},		//14:洞窟岩2
	{TPG_EFFECT,112,164,4,4,2,2},		//15:雪S
	{TPG_EFFECT,116,164,4,4,2,2},		//16:雪L
	{TPG_EFFECT,112,168,4,4,2,2},		//17:雨あたり１
	{TPG_EFFECT,116,172,4,4,2,2},		//18:雨あたり２

};

gxSprite spr_cloud[]={
	//雲、破壊時の煙など汎用α付きＴＧＡ
	{TPG_CLOUD,0,0,64,64,32,32},	//雲
	{TPG_CLOUD,0,80,96,96,48,48},	//レンズフレア
	{TPG_CLOUD,64,0,16,16,8,8},		//レッド先端
	{TPG_CLOUD,64,16,32,16,16,8},	//レッド弾
	{TPG_CLOUD,64,32,32,16,16,8},	//ピンク弾
};

gxSprite spr_thunder[]={
	//アイテムチップ＋箱
	{TPG_EFFECT,80,32,32,8,8,4},	//稲妻
};


gxSprite spr_custom[]={
	//カスタマイズ可能なスプライトはこっちに持ってくる
	{TPG_VALKEN,16*2,160,8,8,4,4},		//0:弾丸
	{TPG_VALKEN,16*2+8*1,160,8,8,0,4},	//1:ミサイル
	{TPG_VALKEN,16*2+8*2,160,8,8,7,4},	//2:ミサイル　バーニア
	{TPG_VALKEN,16*2+8*3,160,8,8,4,4},	//3:ミサイル　スモーク
	{TPG_VALKEN,0,128,32,32,16,16},		//4:パンチエネルギー球
	{TPG_VALKEN,32*3,32*3,32,32,16,8},	//5:バーナー
	{TPG_VALKEN,64,96,16,16,8,8},		//6:Ｄ－Ｄ
	{TPG_VALKEN,80,96,16,16,8,8},		//7:Ｄ－Ｄ1
	{TPG_VALKEN,64,112,16,16,8,8},		//8:Ｄ－Ｄ2
	{TPG_VALKEN,80,112,16,16,8,8},		//9:Ｄ－Ｄ3
	{TPG_VALKEN,32,128,32,16,8,8},		//10:OPTION_BIT
	{TPG_VALKEN,32,168,16,8,8,4},		//11:SHORTLASER
};

gxSprite spr_bomb[]={
	{TPG_EFFECT,64,0  ,32,32 ,16,16},	//0:爆発パターン
	{TPG_EFFECT,128,32 ,16,8 ,8,8},		//1:未使用
	{TPG_EFFECT,48,0  ,16,16 ,8,8},		//2:レーザー用爆発パターン
	{TPG_EFFECT,16,80  ,32,32 ,16,16},	//3:大爆発1
	{TPG_EFFECT,72,72  ,48,48 ,24,24},	//4:大爆発2
	{TPG_EFFECT,136,72  ,48,48 ,24,24},	//5:大爆発3
	{TPG_EFFECT,192,64  ,64,64 ,32,32},	//6:大爆発4
	{TPG_EFFECT,176,176 ,80,80 ,40,40},	//7:リング
	{TPG_EFFECT,160,32 ,32,32 ,16,16},	//8:煙
	{TPG_EFFECT,128,32 ,16,8 ,8,4},		//9:バーニアのスモーク
	{TPG_EFFECT,128,32+8 ,16,8 ,8,8},	//10:バーニアのスモーク
	{TPG_EFFECT,64,128 ,16,32 ,8,16},	//11:シャトル破壊時の炎
};

gxSprite spr_broken[]={
	//バラバラパーツ
	{TPG_EFFECT,80+16*0,128  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*1,128  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*2,128  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*3,128  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*4,128  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*5,128  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*6,128  ,16,16 ,8,8},

	{TPG_EFFECT,80+16*0,128+16  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*1,128+16  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*2,128+16  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*3,128+16  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*4,128+16  ,16,16 ,8,8},
	{TPG_EFFECT,80+16*5,128+16  ,16,16 ,8,8},	//未設定
	{TPG_EFFECT,80+16*6,128+16  ,16,16 ,8,8},	//未設定

	{TPG_EFFECT,192,128  ,32,32 ,16,16},
	{TPG_EFFECT,192+32,128  ,32,32 ,16,16},
};


gxSprite spr_versis[]={
	{TPG_COMMON,0,0 ,512,144 ,256,144},//イージス
};

gxSprite spr_at00[] = {
	//ダイビングタートル
	{TPG_AT,0*32,2*32,32,32,16,16},	//00:ボディ
	{TPG_AT,1*32,2*32,32,32,16,16},	//01:レッグ手前
	{TPG_AT,2*32,2*32,32,32,16,16},	//02:レッグ奥
	{TPG_AT,3*32,2*32,32,32,16,16},	//03:ショルダー
	{TPG_AT,192 ,2*32,64,32,32,16},	//04:武器

	//スナッピングトータス
	{TPG_AT,0*32,3*32,32,32,16,16},	//00:ボディ
	{TPG_AT,1*32,3*32,32,32,16,16},	//01:レッグ手前
	{TPG_AT,2*32,3*32,32,32,16,16},	//02:レッグ奥
	{TPG_AT,3*32,3*32,32,32,16,16},	//03:ショルダー
	{TPG_AT,192 ,3*32,64,32,32,16},	//04:武器

	//ファッティ
	{TPG_AT,0*32,0*32,32,32,16,16},	//00:ボディ
	{TPG_AT,1*32,0*32,32,32,16,16},	//01:レッグ手前
	{TPG_AT,2*32,0*32,32,32,16,16},	//02:レッグ奥
	{TPG_AT,3*32,0*32,32,32,16,16},	//03:ショルダー
	{TPG_AT,192,0*32,64,32,32,16},	//04:武器


	{TPG_AT,192 ,2*32,64,32,32,16},	//04:武器
	{TPG_AT,0*32,2*32,32,32,16,16},	//00:ボディ
	{TPG_AT,1*32,2*32,32,32,16,16},	//01:レッグ手前
	{TPG_AT,2*32,2*32,32,32,16,16},	//02:レッグ奥
	{TPG_AT,3*32,2*32,32,32,16,16},	//03:ショルダー
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器

	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,1*32,2*32,32,32,16,16},	//01:レッグ手前
	{TPG_AT,2*32,2*32,32,32,16,16},	//02:レッグ奥

	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
	{TPG_AT,0,0,0,0,0,0,},			//04:武器
};

gxSprite spr_shermark[]={
	{TPG_ENEMY07B,0*16,176,16,32,8,32,},	//00:自害パターン
	{TPG_ENEMY07B,1*16,176,16,32,8,32,},	//01:自害パターン
	{TPG_ENEMY07B,2*16,176,16,32,8,32,},	//02:自害パターン
	{TPG_ENEMY07B,3*16,176,16,32,8,32,},	//03:自害パターン
	{TPG_ENEMY07B,4*16,176,16,32,8,32,},	//04:自害パターン
	{TPG_ENEMY07B,5*16,176,16,32,8,32,},	//05:自害パターン
	{TPG_ENEMY07B,6*16,176,16,32,8,32,},	//06:自害パターン
	{TPG_ENEMY07B,7*16,176,16,32,8,32,},	//07:自害パターン
	{TPG_ENEMY07B,8*16,176,16,32,8,32,},	//08:自害パターン
	{TPG_ENEMY07B,9*16,176,16,32,8,32,},	//09:自害パターン
	{TPG_ENEMY07B,10*16,176,16,32,8,32,},//10:自害パターン
};
